﻿using NodaTime;

namespace Drive.Commands.Sales.Contracts
{
    public class CreateChargeLineWithAmountBreakdownCommand
    {
        public Guid Id { get; set; }
        public int? LineNumber { get; set; }
        public Guid ContractId { get; set; }
        public Guid? PackId { get; set; }
        public int ProductId { get; set; }
        public string StationDescription { get; set; } = string.Empty;
        public IDictionary<int, decimal> Stations { get; set; } = new Dictionary<int, decimal>();
        public LocalDate ChargeDate { get; set; }
        public string Description { get; set; } = string.Empty;
        public bool IncludeAgencyCommission { get; set; }
        public bool IncludeBookingFee { get; set; }
    }
}