﻿namespace Drive.Commands.Sales.Contracts
{
    public interface IDuplicateContractCommand
    {
        Guid SourceContractId { get; }
        Guid DestinationContractId { get; }
        string Code { get; }
        int AccountManagerId { get; }
        Guid? AgencyId { get; }
        Guid AdvertiserId { get; }
        Guid? ReceivableAccountId { get; }
        int SalesChannelId { get; }
        int? CommissionId { get; }
        int? BookingFeeId { get; }
        int TaxId { get; }
        bool IsImported { get; }
    }
}
