﻿using NodaTime;

namespace Drive.Commands.Scheduling.Audio
{
    public class AddAudioCommand
    {
        public Guid AudioId { get; set; }
        public Guid ClientId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string? Description { get; set; }
        public string? AudioStorageReference { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate KillDate { get; set; }
        public LocalTime? StartTime { get; set; }
        public LocalTime? EndTime { get; set; }
        public short Length { get; set; }
        public Guid? RangeId { get; set; }
        public int MainVoiceId { get; set; }
        public IEnumerable<int> BranchIds { get; set; } = Enumerable.Empty<int>();
    }
}
