﻿using NodaTime;

namespace Drive.Commands.Scheduling.Schedules
{
    public class CreateDayBreakCommand
    {
        public int DayClockId { get; set; }
        public LocalTime StartTime { get; set; }
        public short Duration { get; set; }
        public string? Description { get; set; }
        public bool NonExportable { get; set; }
        public IEnumerable<int> DayBreakTypeIds { get; set; } = [];
    }
}
