﻿using NodaTime;

namespace Drive.Commands.Scheduling.Spots
{
    public class MakeGoodCommand
    {
        public LocalDate ScheduleDate { get; set; }
        public int StationId { get; set; }
        public Guid ContractId { get; set; }
        public IEnumerable<SpotLine> SpotLines { get; set; } = Enumerable.Empty<SpotLine>();
        public int ReasonId { get; set; }
        public string Comment { get; set; } = string.Empty;

        public class SpotLine
        {
            public Guid SpotLineId { get; set; }
            public IEnumerable<MakeGoodSpot> MakeGoodSpots { get; set; } = Enumerable.Empty<MakeGoodSpot>();
        }

        public class MakeGoodSpot
        {
            public long SpotId { get; set; }
            public LocalDate MakeGoodOn { get; set; }
        }

    }
}