﻿using NodaTime;

namespace Drive.Commands.Scheduling.Spots
{
    public class PlaceSpotsCommand
    {
        public LocalDate ScheduleDate { get; set; }
        public int StationId { get; set; }
        public IEnumerable<long> SpotIds { get; set; } = Enumerable.Empty<long>();
        public LocalTime ScheduleTime { get; set; }

        public Instant RequestReceivedAt { get; set; }
    }
}
