﻿using NodaTime;

namespace Drive.Commands.Scheduling.Spots
{
    public class UnplaceSpotsCommand
    {
        public LocalDate ScheduleDate { get; set; }
        public int StationId { get; set; }
        public IEnumerable<long> SpotIds { get; set; } = Enumerable.Empty<long>();

        public Instant RequestReceivedAt { get; set; }
    }
}
