﻿using Drive.Messages;
using NodaTime;

namespace Drive.Events.Creative.Briefs
{
    public class ComposeDetailsCreatedEvent
    {
        public Guid BriefId { get; set; }
        public IEnumerable<ComposeDetail> Details { get; set; } = Enumerable.Empty<ComposeDetail>();
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
    }
}
