﻿using NodaTime;


namespace Drive.Events.Creative.Briefs
{
    public class SuppliedAudioMediaCreatedEvent
    {
        public Guid Id { get; set; }
        public int CreatedBy { get; set; }
        public Instant CreatedAt { get; set; }
        public Guid BriefId { get; set; }
        public string Path { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public int MediaType { get; set; }
        public double Duration { get; set; }
    }
}