﻿namespace Drive.Events.Crm.Clients
{
    public class ClientBioEditedEvent
    {
        public Guid ClientId { get; set; }
        public string? WhatWeDo { get; set; }
        public string? CompanyBackground { get; set; }
        public string? Milestones { get; set; }
        public string? TargetMarket { get; set; }
        public string? UniqueSellingPoint { get; set; }
        public decimal? RadioBudget { get; set; }
        public bool Outdoor { get; set; }
        public bool PublicTransport { get; set; }
        public bool Online { get; set; }
        public bool Print { get; set; }
        public bool Radio { get; set; }
        public bool Tv { get; set; }
        public string? AdvertisingSpendNotes { get; set; }
        public int CurrentRelationship { get; set; }
        public string? RadioNotes { get; set; }
        public string? Important { get; set; }
        public IEnumerable<int> UsedBrandIds { get; set; } = Enumerable.Empty<int>();
        public string? CreativeStyleNotes { get; set; }
        public string? AdminNotes { get; set; }
    }
}
