﻿using NodaTime;

namespace Drive.Events.ItOps.Admin.AudioPlaybackReferenceRange
{
    public class AudioPlaybackReferenceRangeCreatedEvent
    {
        public Guid Id { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public bool Active { get; set; }
        public bool Restricted { get; set; }
        public int Length { get; set; }
        public int LowerBound { get; set; }
        public int UpperBound { get; set; }
        public int AutomationIntegrationTypeId { get; set; }
        public bool SourceMediaFromAutomation { get; set; }
    }
}