﻿using Drive.Commands.Creative.ScriptWriting;
using Drive.Commands.Scheduling.Audio;

namespace Drive.Commands
{
    public class AddScriptFromCopyCommand :
        ICreateAudioSequenceCommand,
        ICreateSequenceAudioFromAudioCopyCommand,
        IAddDocumentFromCopyCommand
    {
        public Guid ClientId { get; set; }
        public Guid AudioSequenceId { get; set; }
        public Guid AudioBriefId { get; set; }
        public Guid CopyFromAudioId { get; set; }
        public Guid AudioId { get; set; }
        public string Code { get; set; } = string.Empty;
        public Guid DocumentId { get; set; }
        public int WriterId { get; set; }
    }
}