﻿using NodaTime;

namespace Drive.Commands.Creative.Briefs
{
    public class RequestSuppliedCommand
    {
        public Guid BriefId { get; set; }
        public Guid ContractId { get; set; }
        public Guid ClientId { get; set; }
        public int AccountManagerId { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public string? InstructingNotes { get; set; }
        public IEnumerable<string> FileNames { get; set; } = Enumerable.Empty<string>();
        public required string Storage { get; set; }
    }
}