﻿namespace Drive.Commands.ItOps.Admin.Settings
{
    public class EditSchedulingGlobalSettingsCommand
    {
        public int KillDateDelay { get; set; }
        public Template? AudioStorageReferenceTemplate { get; set; }
        public IEnumerable<int> LineTypeOptions { get; set; } = Enumerable.Empty<int>();
        public Guid? DefaultAudioPlaybackReferenceRangeId { get; set; }
    }

    public class Template
    {
        public IEnumerable<TemplatePart> TemplateParts { get; set; } = Enumerable.Empty<TemplatePart>();
        public bool ReplaceWhiteSpace { get; set; }
        public bool RemoveWhiteSpace { get; set; }
    }

    public class TemplatePart
    {
        public string Name { get; set; } = string.Empty;
        public int Length { get; set; }
    }
}