﻿using Drive.Commands.Sales.BookingLines;
using Drive.Commands.Scheduling.Spots;
using NodaTime;

namespace Drive.Commands
{
    public class SplitLineCommand :
        SplitBookingLineCommand,
        SplitSpotsCommand
    {
        public Guid SourceId { get; set; }
        public Guid DestinationId { get; set; }
        public LocalDate SplitFrom { get; set; }
        public Guid DestinationContractId { get; set; }
    }
}
