﻿using Drive.Messages;
using NodaTime;

namespace Drive.Events.Creative.ScriptWriting
{
    public class ReviewRequestedEvent
    {
        public Guid ReviewRequestId { get; set; }
        public Guid AudioBriefId { get; set; }
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
        public string EmailTo { get; set; } = string.Empty;
        public string? EmailCc { get; set; }
        public string EmailSubject { get; set; } = string.Empty;
        public string EmailBody { get; set; } = string.Empty;
        public string? NoteFromWriter { get; set; }
        public IEnumerable<AudioReviewSelection> Audio { get; set; } = Enumerable.Empty<AudioReviewSelection>();
    }
}