﻿using NodaTime;

namespace Drive.Events.ItOps.Daemons
{
    public class InvalidAirmailMessageReceivedEvent
    {
        public Guid Id { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public string MessageCode { get; set; } = string.Empty;
        public string ContractCode { get; set; } = string.Empty;
        public LocalDate? StartDate { get; set; }
        public IEnumerable<string> Problems { get; set; } = Enumerable.Empty<string>();
    }
}